#build with gstreamer1.0-validate
%bcond_with validate

%bcond_without python

%define api 1.0
%define major 0

%define libname %mklibname ges %api %major
%define girname %mklibname ges-gir %api
%define develname %mklibname -d ges %api

%define plugname gstreamer%{api}-nle

Summary:	GStreamer editing services
Name:		gstreamer1.0-editing-services
Version:	1.22.3
Release:	%mkrel 1
Source0:	https://gstreamer.freedesktop.org/src/gstreamer-editing-services/gst-editing-services-%{version}.tar.xz
License:	LGPLv2+
Group:		Video/Utilities
URL:		https://gstreamer.freedesktop.org/modules/gst-editing-services.html
BuildRequires:	meson
BuildRequires:	cargo-c
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gstreamer-controller-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= %{version}
#BuildRequires:	pkgconfig(gstreamer-plugins-good-1.0)
%if %{with validate}
BuildRequires:	pkgconfig(gst-validate-1.0)
%endif
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3-embed)
BuildRequires:	gobject-introspection-devel
BuildRequires:	gstreamer1.0-devtools
BuildRequires:	flex
%ifarch %{valgrind_arches}
BuildRequires:	pkgconfig(valgrind)
%endif

%description
GStreamer editing services.

%package python
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	gstreamer1.0-python

%description python
Python bindings for %{name}.

%package -n %{libname}
Summary:	Libraries for GStreamer editing services
Group:		System/Libraries

%description -n %{libname}
Libraries for GStreamer editing services.

%package -n %{plugname}
Summary:	GStreamer Non Linear Engine plugin
Group:		Video/Utilities
Obsoletes:	gstreamer1.0-gnonlin < 1.6.0

%description -n %{plugname}
GStreamer Non Linear Engine plugin.

%package -n %{girname}
Summary:	GObject Introspection interface libraries for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}

%description -n %{girname}
GObject Introspection interface libraries for %{name}.

%package -n %{develname}
Summary:	Libraries and include files for GStreamer editing services
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and include files for GStreamer editing services.

%prep
%setup -q -n gst-editing-services-%{version}

%build
%meson \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled} \
	-Dpython=%{?with_python:enabled}%{?!with_python:disabled} \
	-Dvalidate=%{?with_validate:enabled}%{?!with_validate:disabled} \
	-Dexamples=disabled
%meson_build

%install
%meson_install

%files
%doc README NEWS ChangeLog AUTHORS
%{_bindir}/ges-launch-%{api}
%{_mandir}/man1/ges-launch-%{api}.1*
%{_datadir}/bash-completion/completions/ges-launch-%{api}
%{_libdir}/gstreamer-1.0/libgstges.so

%{_libdir}/gst-validate-launcher/python/launcher/apps/geslaunch.py
%{_datadir}/gstreamer-1.0/validate/scenarios/ges-edit-clip-while-paused.scenario

%files python
%{python3_sitelib}/gi/overrides/GES.py
%{python3_sitelib}/gi/overrides/__pycache__/GES*.py*

%files -n %{libname}
%{_libdir}/libges-%{api}.so.%{major}
%{_libdir}/libges-%{api}.so.%{major}.*

%files -n %{plugname}
%{_libdir}/gstreamer-%{api}/libgstnle.so

%files -n %{girname}
%{_libdir}/girepository-1.0/GES-%{api}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{api}/ges/
%{_datadir}/gir-1.0/GES-%{api}.gir


%changelog
* Sun May 21 2023 ghibo <ghibo> 1.22.3-1.mga9
+ Revision: 1957536
- Update to release 1.22.3

* Tue Jan 24 2023 wally <wally> 1.22.0-1.mga9
+ Revision: 1935705
- new version 1.22.0

* Sat Jan 14 2023 wally <wally> 1.21.90-1.mga9
+ Revision: 1933100
- new version 1.21.90

* Mon Dec 26 2022 wally <wally> 1.20.5-1.mga9
+ Revision: 1926951
- new version 1.20.5

* Sun Nov 20 2022 wally <wally> 1.20.4-1.mga9
+ Revision: 1909310
- new version 1.20.4

* Sat Jul 23 2022 wally <wally> 1.20.3-1.mga9
+ Revision: 1870392
- new version 1.20.3

* Sun May 08 2022 wally <wally> 1.20.2-1.mga9
+ Revision: 1856816
- new version 1.20.2

* Wed Apr 06 2022 umeabot <umeabot> 1.20.1-2.mga9
+ Revision: 1845991
- Mageia 9 Mass Rebuild

* Sun Apr 03 2022 wally <wally> 1.20.1-1.mga9
+ Revision: 1842449
- new version 1.20.1

* Tue Feb 15 2022 tmb <tmb> 1.18.5-2.mga9
+ Revision: 1775553
- drop unknown meson options
- BR: cargo-c
- update to 1.18.6
- rebuild for python 3.10
+ joequant <joequant>
- update to python 3.10

* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga9
+ Revision: 1745689
- new version 1.18.5 (mga#29452)

* Mon Apr 05 2021 wally <wally> 1.18.4-1.mga9
+ Revision: 1713704
- new version 1.18.4

* Tue Mar 16 2021 wally <wally> 1.18.3-2.mga9
+ Revision: 1703899
- don't BR specific python3 version
+ tmb <tmb>
- rebuild for python 3.9

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672331
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655017
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648243
- new version 1.18.1

* Sun Sep 13 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1625918
- new version 1.18.0
- switch to meson build

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1539265
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464333
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445551
- new version 1.16.1

* Thu Apr 25 2019 wally <wally> 1.16.0-1.mga7
+ Revision: 1395279
- new version 1.16.0

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317566
- new version 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259538
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244562
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231163
- new version 1.14.1

* Sun Mar 25 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1212146
- new version 1.14.0
- enable valgrind on all supported arches

* Tue Sep 26 2017 wally <wally> 1.12.3-1.mga7
+ Revision: 1160003
- new version 1.12.3

* Tue Jul 25 2017 wally <wally> 1.12.2-1.mga7
+ Revision: 1130765
- new version 1.12.2

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085494
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081799
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047092
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021007
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011382
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995312
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992937
- new version 1.7.91

* Sat Mar 05 2016 wally <wally> 1.7.90-1.mga6
+ Revision: 985956
- new version 1.7.90

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918898
- 1.6.2

* Sat Oct 10 2015 wally <wally> 1.6.0-3.mga6
+ Revision: 889263
- drop plugin requires from lib pkg

* Sat Oct 10 2015 wally <wally> 1.6.0-2.mga6
+ Revision: 889211
- obsolete gstreamer1.0-gnonlin
- make lib pkg to require plugin pkg

* Sat Oct 10 2015 wally <wally> 1.6.0-1.mga6
+ Revision: 889187
- new version 1.6.0
- fix license
- add package origin
- add subpkg for GStreamer Non Linear Engine (nle)

* Thu Jul 02 2015 wally <wally> 1.4.0-3.mga6
+ Revision: 849563
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 1.4.0-2.mga6
+ Revision: 847483
- add requires for gir pkg to devel pkg

* Sat Oct 25 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 793324
- new version 1.4.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.90-5.mga5
+ Revision: 745209
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1.1.90-4.mga5
+ Revision: 731163
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1.1.90-3.mga5
+ Revision: 679982
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.1.90-2.mga4
+ Revision: 541037
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 1.1.90-1.mga4
+ Revision: 494989
- update file list
- update url
- do not build example
- update file list
- update tarball
- br gnome-common
- add br
- drop unsatisfied br
- imported package gstreamer1.0-editing-services

